Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs	(revision 180)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs	(revision 181)
@@ -1806,16 +1806,35 @@
         {
             try
             {
-                int iYears = 0;
-                // 今期との差分を計算する
-                int diff = CommonMotions.SystemMasterData.BusinessPeriod - Period;
-                // 差分を使用して日付を作成する
-                DateTime wrkDate = DateTime.Now.AddYears(diff);
-                // 年を取得する
-                int iwrk = CommonMotions.cnvInt(CommonMotions.SystemMasterData.ConstructionBeginningDate.Substring(0, 2).ToString());
-                iYears = wrkDate.FiscalYear(iwrk);
+                int Beginning = 0;
+                int diffwork = 0;
+                int RetYears = 0;
+                string strwork = string.Empty;
 
-                return iYears;
+                // 現在期との差分を求める
+                diffwork = Period - CommonMotions.SystemMasterData.BusinessPeriod;
+
+                // 期首月を取得する
+                strwork = CommonMotions.SystemMasterData.BusinessBeginningDate;
+                strwork = strwork.Substring(0, strwork.IndexOf("/"));
+
+                // 期首月を数値変換
+                Beginning = CommonMotions.cnvInt(strwork);
+
+                // 年数を求める
+                DateTime dateWork = DateTime.Now;
+                int nowMounth = DateTime.Now.Month;
+                // 期首月を境に年度を計算する
+                int iYear = 0;
+                if (nowMounth < Beginning)
+                    iYear = dateWork.AddYears(-1).Year;
+                else
+                    iYear = dateWork.Year;
+
+                // ベース年を求める
+                RetYears = iYear + diffwork;
+
+                return RetYears;
             }
             catch (Exception ex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs	(revision 180)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs	(revision 181)
@@ -88,34 +88,34 @@
             string strcmd = "SELECT";
 
             strcmd += " ConstructionCode";                                  // 工事番号
-            strcmd += ",SeqNo";                                             // 注文書枝番
-            strcmd += ",CompanyCode";                                       // 協力会社コード
-            strcmd += ",DATE_FORMAT(CreateDate, '%Y/%m/%d')";                 // 作成日付
-            strcmd += ",OrderPrice";                                        // 発注金額
-            strcmd += ",DATE_FORMAT(LastRowStringDate, '%Y/%m/%d')";          // 最終行表示文字
+            strcmd += ", SeqNo";                                             // 注文書枝番
+            strcmd += ", CompanyCode";                                       // 協力会社コード
+            strcmd += ", DATE_FORMAT(CreateDate, '%Y/%m/%d')";                 // 作成日付
+            strcmd += ", OrderPrice";                                        // 発注金額
+            strcmd += ", DATE_FORMAT(LastRowStringDate, '%Y/%m/%d')";          // 最終行表示文字
 
-            strcmd += ",OrderSheetType";                                    // 簡易・本式フラグ
-            strcmd += ",PaymentTerms";                                      // 支払い条件
-            strcmd += ",CashRatio";                                         // 現金割合（％）
-            strcmd += ",BillPeriod";                                        // 手形期間
+            strcmd += ", OrderSheetType";                                    // 簡易・本式フラグ
+            strcmd += ", PaymentTerms";                                      // 支払い条件
+            strcmd += ", CashRatio";                                         // 現金割合（％）
+            strcmd += ", BillPeriod";                                        // 手形期間
 
-            strcmd += ",PrePayments";                                       // 前金払
-            strcmd += ",PrePaymentsDays";                                   // 前金払日数
-            strcmd += ",PrePaymentsPrice";                                  // 前金払金額
-            strcmd += ",PartialPayment";                                    // 部分払
-            strcmd += ",PartialPaymentMounth";                              // 部分払締切月
-            strcmd += ",PartialPaymentDay1";                                // 部分払締切日
-            strcmd += ",PartialPaymentDay2";                                // 部分払支払日
-            strcmd += ",PartialPaymentPrice";                               // 部分払金額
-            strcmd += ",CompletionPayment";                                 // 引渡し時の支払
-            strcmd += ",CompletionPaymentDays";                             // 引渡し時の支払日数
-            strcmd += ",CompletionPaymentPrice";                            // 引渡し時の支払金額
-            strcmd += ",LeadEngineerCode";                                  // 主任技術者コード
-            strcmd += ",LeadEngineerName";                                  // 主任技術者名
-            strcmd += ",SafetyOfficerCode";                                 // 安全管理者コード
-            strcmd += ",SafetyOfficerName";                                 // 安全管理者名
-            strcmd += ",WorkersCount";                                      // 作業員数
-            strcmd += ",DATE_FORMAT(PrintoutDate, '%Y/%m/%d')";               // 印刷年月日
+            strcmd += ", PrePayments";                                       // 前金払
+            strcmd += ", PrePaymentsDays";                                   // 前金払日数
+            strcmd += ", PrePaymentsPrice";                                  // 前金払金額
+            strcmd += ", PartialPayment";                                    // 部分払
+            strcmd += ", PartialPaymentMounth";                              // 部分払締切月
+            strcmd += ", PartialPaymentDay1";                                // 部分払締切日
+            strcmd += ", PartialPaymentDay2";                                // 部分払支払日
+            strcmd += ", PartialPaymentPrice";                               // 部分払金額
+            strcmd += ", CompletionPayment";                                 // 引渡し時の支払
+            strcmd += ", CompletionPaymentDays";                             // 引渡し時の支払日数
+            strcmd += ", CompletionPaymentPrice";                            // 引渡し時の支払金額
+            strcmd += ", LeadEngineerCode";                                  // 主任技術者コード
+            strcmd += ", LeadEngineerName";                                  // 主任技術者名
+            strcmd += ", SafetyOfficerCode";                                 // 安全管理者コード
+            strcmd += ", SafetyOfficerName";                                 // 安全管理者名
+            strcmd += ", WorkersCount";                                      // 作業員数
+            strcmd += ", DATE_FORMAT(PrintoutDate, '%Y/%m/%d')";               // 印刷年月日
 
             strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
             strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
@@ -209,7 +209,7 @@
         /// <summary>
         /// 注文書データ追加（１件）
         /// </summary>
-        /// <param name="data">注文書データデータ</param>
+        /// <param name="data">注文書データ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(PurchaseOrder work, bool bConnect = true)
         {
@@ -283,7 +283,7 @@
         /// <summary>
         /// 注文書データ追加（複数）
         /// </summary>
-        /// <param name="data">注文書データデータ</param>
+        /// <param name="data">注文書データ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<PurchaseOrder> data, bool bConnect = true)
         {
@@ -365,7 +365,7 @@
         /// 注文書データ更新
         /// </summary>
         /// <param name="AddSQLString">更新条件SQL文字列</param>
-        /// <param name="data">注文書データデータ</param>
+        /// <param name="data">注文書データ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, PurchaseOrder data, bool bConnect = true)
         {
@@ -434,7 +434,7 @@
         /// 注文書データ削除
         /// </summary>
         /// <param name="AddSQLString">削除条件SQL文字列</param>
-        /// <param name="data">注文書データデータ</param>
+        /// <param name="data">注文書データ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
